import type { SceneEvent } from "../backend/scene-types"

export type PlayerBroadcast =
    | { type: "keep-alive" }
    | { type: "scene-changed"; sceneId: string }
    | { type: "scene-event"; event: SceneEvent }
    | { type: "virtual-curtain-changed", isOpen: boolean }