import { Temporal } from "temporal-polyfill"
import type { SceneDefinition } from "../types"

export const sceneChoiceTest: SceneDefinition = {
    id: "choice-test",
    type: "choice",
    label: "Auswahl-Test",
    plannedDuration: Temporal.Duration.from({ seconds: 30 }),
    options: [
        {
            id: "a",
            label: "Option A"
        },
        {
            id: "b",
            label: "Option B"
        }
    ]
}