import type { SceneDefinition } from "../types"
import { defineInteractionScene } from "../types"
import { Temporal } from "temporal-polyfill"

export const sceneKalterKaffee: SceneDefinition = defineInteractionScene({
    id: "kalter-kaffee",
    label: "Kaffeetrinken",
    type: "interaction",
    plannedDuration: Temporal.Duration.from({ minutes: 8 }),
    objects: {
        "gameboy": {
            label: "Gameboy",
            reveal: true
        },
        "kaffeetasse": {
            label: "Kaffeetasse",
            reveal: true
        },
        "escobar": {
            label: "Escobar",
            reveal: true
        },
        "mikrowelle": {
            label: "Mikrowelle",
            reveal: true
        },
        "kaffeebohnen": {
            label: "Kaffeebohnen",
            reveal: true
        },
        "radio": {
            label: "Radio",
            reveal: true
        },
        "hammer": {
            label: "Hammer",
            reveal: true
        },
        "zahnrad": {
            label: "Zahnrad",
            reveal: false
        },
        "antenne": {
            label: "antenne",
            reveal: false
        },
    },
    interactions: [

    ]
})