import type { Script } from "./types"
import { scenePreStart } from "./scenes/pre-start"
import { sceneTutorialKettensaege } from "./scenes/tutorial-kettensaege"
import { sceneTutorialMuesli } from "./scenes/tutorial-muesli"
import { sceneTutorialVorhang } from "./scenes/tutorial-vorhang"
import { sceneChoiceTest } from "./scenes/choice-test"
import { sceneKalterKaffee } from "./scenes/kalter-kaffee"

const script: Script = {
    scenesById: new Map()
}

script.scenesById.set(scenePreStart.id, scenePreStart)
script.scenesById.set(sceneTutorialKettensaege.id, sceneTutorialKettensaege)
script.scenesById.set(sceneTutorialMuesli.id, sceneTutorialMuesli)
script.scenesById.set(sceneTutorialVorhang.id, sceneTutorialVorhang)
script.scenesById.set(sceneKalterKaffee.id, sceneKalterKaffee)
script.scenesById.set(sceneChoiceTest.id, sceneChoiceTest)

export { script }